# jekyll-theme-blog

> A simple blog-style starter for Jekyll

To experiment with this code, add some sample content and run `bundle exec jekyll serve` – this directory is setup just like a Jekyll site!

## Installation

Add this line to your Jekyll site's `Gemfile`:

```ruby
gem "jekyll-theme-blog"
```

And add this line to your Jekyll site's `_config.yml`:

```yaml
theme: jekyll-theme-blog
```

And then execute:

```shell
bundle
```

Or install it yourself as:

```shell
gem install jekyll-theme-blog
```

Please ensure that your `_config.yml` contains the appropriate site title and subtitle.

```yml
title: Jekyll blog
subtitle: A simple blog-style theme
```

## Contributing

Bug reports and pull requests are welcome on [GitHub](https://github.com/jekyll-theme-blog/). This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## Development

To set up your environment to develop this theme, run `bundle install`.

This theme is setup just like a normal Jekyll site! To test the theme during development, run `bundle exec jekyll serve` and open your browser at `http://localhost:4000`. This starts a Jekyll server using this theme. Add pages, documents, data, etc. like normal to build your site. As you make modifications to the theme and content, the site will regenerate and you should see the changes in the browser after a refresh.

To add a custom directory to your theme-gem, edit the regexp in `jekyll-theme-blog.gemspec` accordingly.

Generate a gem from the theme by running `gem build jekyll-theme-blog.gemspec`.

## License

The theme is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
